
package de.ivu.elect.dokumente.ergebnis.p22;

import de.ivu.elect.dokumente.ergebnis.adapter.Fraction;

public class WahlkreisUnterverteilungZeile extends AbstractUnterverteilungZeile {

  private static final long serialVersionUID = 1L;

  // Zusammenfassungszeile eines Stels
  public WahlkreisUnterverteilungZeile(String nummer, String gebietsname, long anzahlStimmen, long anzahlStimmenGewichtetMitVoteValues) {
    super(toWahlkreisNummer(nummer), gebietsname, anzahlStimmen, anzahlStimmenGewichtetMitVoteValues);
  }

  // Selbständige Liste
  public WahlkreisUnterverteilungZeile(String nummer, String gebietsname, long anzahlStimmen, long anzahlStimmenGewichtetMitVoteValues, long anzahlSitzeAusErsterZuteilung,
      Fraction restNachErsterZuteilung, long anzahlSitzeAusNiemeyerVerteilung, long gesamtzahlSitzeNachNiemeyerVerteilung) {
    super(toWahlkreisNummer(nummer), gebietsname, anzahlStimmen, anzahlStimmenGewichtetMitVoteValues, anzahlSitzeAusErsterZuteilung, restNachErsterZuteilung, anzahlSitzeAusNiemeyerVerteilung,
        gesamtzahlSitzeNachNiemeyerVerteilung);
  }

  private static String toWahlkreisNummer(String nummer) {
    return "Kieskring " + nummer;
  }
}
